loadMotionPathEffects = {}

local modDir = g_currentModDirectory
local modName = g_currentModName

function loadMotionPathEffects.loadMapData(self, xmlFile, missionInfo, baseDirectory)
    MotionPathEffectManager.createMotionPathEffectXMLSchema()

    local modDescXML = loadXMLFile("mod_file", modDir .. "modDesc.xml")

    g_motionPathEffectManager:loadMotionPathEffects(modDescXML, "modDesc.motionPathEffects.motionPathEffect", modDir, modName)
    delete(modDescXML)

    return true
end

MotionPathEffectManager.loadMapData = Utils.prependedFunction(MotionPathEffectManager.loadMapData, loadMotionPathEffects.loadMapData)